UbixOS V2 2.0

Public Member Functions
eth_hdr Struct Reference

`#include <ethernet.h>`

Collaboration diagram for eth_hdr:

## Public Member Functions
| PACK_STRUCT_FIELD (u16_t type)
| PACK_STRUCT_FLD_S (struct eth_addr dest)
| PACK_STRUCT_FLD_S (struct eth_addr src)

## Detailed Description

Ethernet header

Definition at line 71 of file ethernet.h.

## Member Function Documentation

## ◆ PACK_STRUCT_FIELD()

eth_hdr::PACK_STRUCT_FIELD | ( | u16_t | type | ) |

## ◆ PACK_STRUCT_FLD_S() [1/2]

eth_hdr::PACK_STRUCT_FLD_S | ( | struct eth_addr | dest | ) |

## ◆ PACK_STRUCT_FLD_S() [2/2]

eth_hdr::PACK_STRUCT_FLD_S | ( | struct eth_addr | src | ) |

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/prot/ethernet.h